Skip to content

Archive a plan (prices are immutable in Stripe)

POST
/api/v1/plans/{id}/archive
curl --request POST \
--url https://example.com/api/v1/plans/example/archive \
--header 'x-api-key: <x-api-key>'
id
required
string
Media typeapplication/json
object
id
required
string
stripeProductId
required
string
stripePriceId
required
string
name
required
string
amount
required

Smallest currency unit (cents) — never floating point

number
currency
required
string
interval
required
string
Allowed values: year month
active
required
boolean
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Example

{
"interval": "year"
}